Package org.apache.catalina.util

## Class SystemPropertyReplacerListener

- java.lang.Object
- - org.apache.catalina.util.SystemPropertyReplacerListener

- All Implemented Interfaces:
    `LifecycleListener`

      @Deprecated
      public class SystemPropertyReplacerListener
      extends java.lang.Object
      implements LifecycleListener

  Deprecated.
  No longer used. Will be removed in Tomcat 9.
  Helper class used to do property replacement on system properties.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SystemPropertyReplacerListener()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `lifecycleEvent​(LifecycleEvent event)` | Deprecated. Acknowledge the occurrence of the specified event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemPropertyReplacerListener

          public SystemPropertyReplacerListener()

      Deprecated.

  - ### Method Detail

    - #### lifecycleEvent

          public void lifecycleEvent​(LifecycleEvent event)

      Deprecated.
      Description copied from interface: `LifecycleListener`
      Acknowledge the occurrence of the specified event.
      Specified by:
        `lifecycleEvent` in interface `LifecycleListener`
      Parameters:
        `event` - LifecycleEvent that has occurred